Search Results for

Show / Hide Table of Contents

# Class Appstock

Facade for static methods and cross-platform getters.

##### Inheritance

object
Appstock

##### Inherited Members

object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Api.dll

##### Syntax

    public static class Appstock

### Properties

#### Sdk

Gets SDK proxy object.

##### Declaration

    public static ISdkProxy Sdk { get; }

##### Property Value

Type | Description
--- | ---
ISdkProxy | Managed object that exposes global settings of native SDK.

##### See Also

ISdkProxy

#### Targeting

Gets SDK targeting proxy object.

##### Declaration

    public static ITargetingProxy Targeting { get; }

##### Property Value

Type | Description
--- | ---
ITargetingProxy | Managed object that exposes targeting settings of native SDK.

##### See Also

ITargetingProxy

### Methods

#### InitializeSdk(string)

Initialize the SDK.

##### Declaration

    public static void InitializeSdk(string partnerKey)

##### Parameters

Type | Name | Description
--- | --- | ---
string | partnerKey | Determines the Appstock server URL. The Appstock account manager should provide you with this key.